[youtubei.js](../../../../README.md) / [Misc](../README.md) / AccessibilityData

# Class: AccessibilityData

Defined in: [src/parser/classes/misc/AccessibilityData.ts:115](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/AccessibilityData.ts#L115)

## Constructors

### Constructor

> **new AccessibilityData**(`data`): `AccessibilityData`

Defined in: [src/parser/classes/misc/AccessibilityData.ts:120](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/AccessibilityData.ts#L120)

#### Parameters

##### data

[`RawNode`](../../../../type-aliases/RawNode.md)

#### Returns

`AccessibilityData`

## Properties

### accessibility\_identifier?

> `optional` **accessibility\_identifier**: `string`

Defined in: [src/parser/classes/misc/AccessibilityData.ts:116](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/AccessibilityData.ts#L116)

***

### identifier?

> `optional` **identifier**: `AccessibilityId`

Defined in: [src/parser/classes/misc/AccessibilityData.ts:117](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/AccessibilityData.ts#L117)

***

### label?

> `optional` **label**: `string`

Defined in: [src/parser/classes/misc/AccessibilityData.ts:118](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/AccessibilityData.ts#L118)
